# Method: advertisers.targetingTypes.assignedTargetingOptions.create

- [HTTP request](https://developers.google.com/display-video/api/reference/rest/v4/advertisers.targetingTypes.assignedTargetingOptions/create#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/display-video/api/reference/rest/v4/advertisers.targetingTypes.assignedTargetingOptions/create#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/display-video/api/reference/rest/v4/advertisers.targetingTypes.assignedTargetingOptions/create#body.request_body)
- [Response body](https://developers.google.com/display-video/api/reference/rest/v4/advertisers.targetingTypes.assignedTargetingOptions/create#body.response_body)
- [Authorization scopes](https://developers.google.com/display-video/api/reference/rest/v4/advertisers.targetingTypes.assignedTargetingOptions/create#body.aspect)
- [Try it!](https://developers.google.com/display-video/api/reference/rest/v4/advertisers.targetingTypes.assignedTargetingOptions/create#try-it)

Assigns a targeting option to an advertiser. Returns the assigned targeting option if successful.

### HTTP request

`POST https://displayvideo.googleapis.com/v4/advertisers/{advertiserId}/targetingTypes/{targetingType}/assignedTargetingOptions`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `advertiserId` | `string (https://developers.google.com/discovery/v1/type-format format)` Required. The ID of the advertiser. |
| `targetingType` | ``enum (`https://developers.google.com/display-video/api/reference/rest/v4/TargetingType`)`` Required. Identifies the type of this assigned targeting option. Supported targeting types: - `https://developers.google.com/display-video/api/reference/rest/v4/TargetingType#ENUM_VALUES.TARGETING_TYPE_CHANNEL` - `https://developers.google.com/display-video/api/reference/rest/v4/TargetingType#ENUM_VALUES.TARGETING_TYPE_DIGITAL_CONTENT_LABEL_EXCLUSION` - `https://developers.google.com/display-video/api/reference/rest/v4/TargetingType#ENUM_VALUES.TARGETING_TYPE_OMID` - `https://developers.google.com/display-video/api/reference/rest/v4/TargetingType#ENUM_VALUES.TARGETING_TYPE_SENSITIVE_CATEGORY_EXCLUSION` - `https://developers.google.com/display-video/api/reference/rest/v4/TargetingType#ENUM_VALUES.TARGETING_TYPE_KEYWORD` |

### Request body

The request body contains an instance of `https://developers.google.com/display-video/api/reference/rest/v4/advertisers.adGroups.targetingTypes.assignedTargetingOptions#AssignedTargetingOption`.

### Response body

If successful, the response body contains a newly created instance of `https://developers.google.com/display-video/api/reference/rest/v4/advertisers.adGroups.targetingTypes.assignedTargetingOptions#AssignedTargetingOption`.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/display-video`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).